[arvados] created: 2.7.0-6545-g887751a6c8

git repository hosting git at public.arvados.org
Tue May 7 12:36:48 UTC 2024


        at  887751a6c862fdd9184f5f9c58e6bfaa61269e23 (commit)


commit 887751a6c862fdd9184f5f9c58e6bfaa61269e23
Author: Lucas Di Pentima <lucas.dipentima at curii.com>
Date:   Mon May 6 16:16:08 2024 -0300

    21678: Updates documentation
    
    Arvados-DCO-1.1-Signed-off-by: Lucas Di Pentima <lucas.dipentima at curii.com>

diff --git a/doc/install/salt-multi-host.html.textile.liquid b/doc/install/salt-multi-host.html.textile.liquid
index a3cdd03300..2aa05ca213 100644
--- a/doc/install/salt-multi-host.html.textile.liquid
+++ b/doc/install/salt-multi-host.html.textile.liquid
@@ -392,16 +392,24 @@ This will install and configure Arvados on all the nodes.  It will take a while
 
 h2(#test-install). Confirm the cluster is working
 
-When everything has finished, you can run the diagnostics.
+When everything has finished, you can run the diagnostics. There's a couple ways of doing this, as listed below.
 
-Depending on where you are running the installer, you need to provide @-internal-client@ or @-external-client at .
+h3. Running diagnostics from the same system as the installer
 
-If you are running the diagnostics from one of the Arvados machines inside the private network, you want @-internal-client@ .
+The requirements to run diagnostics are having @arvados-client@ and @docker@ installed, if this is not possible you can run them on an Arvados node as explained below.
 
-You are an "external client" if you running the diagnostics from your workstation outside of the private network.
+Depending on where you are running the installer, you need to provide @-internal-client@ or @-external-client at . For example, if you are running the installer from one of the Arvados hosts inside the private network, you want @-internal-client at .
+
+You are an "external client" if you are running the diagnostics from your workstation outside of the cluster's private network.
 
 <pre><code class="userinput">./installer.sh diagnostics (-internal-client|-external-client)</code></pre>
 
+h3. Running diagnostics from a cluster node
+
+You can run the diagnostics from the cluster's shell node. This has the advantage that you don't need to manage any software dependency on the local system, but might not be a possibility if your Arvados cluster doesn't include one.
+
+<pre><code class="userinput">./installer.sh diagnostics-internal</code></pre>
+
 h3(#debugging). Debugging issues
 
 The installer records log files for each deployment.

commit e3de17acb936b9b6795ca6ff610d40a950ba5ff3
Author: Lucas Di Pentima <lucas.dipentima at curii.com>
Date:   Mon May 6 15:37:43 2024 -0300

    21678: Adds 'diagnostics-internal' subcommand to installer.sh
    
    It checks if there's a node with the 'shell' role, and runs diagnostics
    on it as root (to be able to use docker)
    
    Arvados-DCO-1.1-Signed-off-by: Lucas Di Pentima <lucas.dipentima at curii.com>

diff --git a/tools/salt-install/installer.sh b/tools/salt-install/installer.sh
index 439293c296..a62a780032 100755
--- a/tools/salt-install/installer.sh
+++ b/tools/salt-install/installer.sh
@@ -449,14 +449,33 @@ diagnostics)
   arvados-client diagnostics $LOCATION
   ;;
 
+diagnostics-internal)
+  loadconfig
+  set -u
+
+  if [ -z "${ROLE2NODES['shell']:-}" ]; then
+    echo "No node with 'shell' role was found, cannot run diagnostics-internal"
+    exit 1
+  fi
+
+  # Pick the first shell node for test running
+  declare TESTNODE=$(echo ${ROLE2NODES['shell']} | cut -d\, -f1)
+
+  # Run diagnostics
+  declare SSH=$(ssh_cmd "$TESTNODE")
+  echo "Running diagnostics on $TESTNODE ..."
+  $SSH $DEPLOY_USER@$TESTNODE "sudo ARVADOS_API_HOST=${DOMAIN}:${CONTROLLER_EXT_SSL_PORT} ARVADOS_API_TOKEN=$SYSTEM_ROOT_TOKEN arvados-client diagnostics -internal-client"
+  ;;
+
 *)
   echo "Arvados installer"
   echo ""
-  echo "initialize        initialize the setup directory for configuration"
-  echo "terraform         create cloud resources using terraform"
-  echo "terraform-destroy destroy cloud resources created by terraform"
-  echo "generate-tokens   generate random values for tokens"
-  echo "deploy            deploy the configuration from the setup directory"
-  echo "diagnostics       check your install using diagnostics"
+  echo "initialize             initialize the setup directory for configuration"
+  echo "terraform              create cloud resources using terraform"
+  echo "terraform-destroy      destroy cloud resources created by terraform"
+  echo "generate-tokens        generate random values for tokens"
+  echo "deploy                 deploy the configuration from the setup directory"
+  echo "diagnostics            check your install running diagnostics locally"
+  echo "diagnostics-internal   check your install running diagnostics on a shell node"
   ;;
 esac

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list